'use strict';

var noop = require('./noop-cjs.js');
var React = require('react');

const defaultValues = {
    isInLayoutProvider: false,
    hasInLayoutActions: false,
    setHasInLayoutActions: noop.noop,
};
const DataListLayoutContext = React.createContext(defaultValues);
function useDataListLayoutContext() {
    return React.useContext(DataListLayoutContext);
}

exports.DataListLayoutContext = DataListLayoutContext;
exports.defaultValues = defaultValues;
exports.useDataListLayoutContext = useDataListLayoutContext;
